
QGIS Application - Bug report #4540

Garbled field names in newly created Shapefiles

2011-11-16 07:01 AM - kouichi kita

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14456

Description

In QGIS 1.7.1, when I have created a new shapefile with Japanese characters on the field names, the field names are garbled.

This is because field names are written in UTF-8, but values are written in Shift_JIS, I think.

(The rest is omitted. Here Shift_JIS is the same as the selected encoding.)

Related issues:

Related to QGIS Application - Feature request # 6059: add the ability to sele... Closed 2012-07-17

Associated revisions

Revision 788e4294 - 2013-05-05 09:42 AM - Minoru Akagi

write field names in the same encoding as attribute values (fix #4540)

Revision 94a976c9 - 2013-05-05 01:08 PM - Borys Jurgiel

Merge pull request #578 from minorua/fieldname_encoding

write field names in the same encoding as attribute values (fix #4540)

History

#1 - 2011-11-16 07:36 AM - Giovanni Manghi

- Status changed from Open to Feedback

Please file the tickets in English :)

#2 - 2011-11-17 05:05 AM - Richard Duivenvoorde

pfoo, this is what Google Translate makes of it... not very clear yet. But I think we need someone able to check this on a japanese system.

In QGIS Ver1.7.1, when creating a new shapefile, use the Japanese garbled on the field name.

This is the field name "UTF-8" are created in the data is "Shift JIS" you think because it is created.

When you add a vector layer "encoding" the "System" occurs when the.

In 1.6.0, I think that was the field names are displayed instead of garbled.
#3 - 2011-12-09 08:50 AM - Paolo Cavallini

- Resolution set to invalid

- Status changed from Feedback to Closed

Please translate it in English (including the title) and reopen it.

#4 - 2013-04-01 08:26 PM - Minoru Akagi

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Status changed from Closed to Reopened

Translation:

[Title] Garbled field names in newly created Shapefiles

In QGIS Ver.1.7.1, when I have created a new shapefile with Japanese characters on the field names, the field names are garbled.

This is because field names are written in UTF-8, but values are written in Shift_JIS, I think.

(The rest is omitted. Here Shift_JIS is the same as the selected encoding.)

#5 - 2013-04-01 08:29 PM - Minoru Akagi

(This causes corruption.)

A patch for this is on #6059.

#6 - 2013-04-02 01:06 PM - Jürgen Fischer

- Subject changed from 新しいシェープファイルを作るときのフィールド名の文字化け to Garbled field names in newly created Shapefiles

#7 - 2013-05-05 04:08 AM - Borys Jurgiel

- Status changed from Reopened to Closed

Fixed in changeset commit:"94a976c96834b289f81c1f064aa54c5c1ddc260a".

#8 - 2013-05-05 04:11 AM - Borys Jurgiel

- Resolution changed from invalid to fixed
